RDKit: RDMIF::Coulomb Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDMIF::Coulomb Class Reference

class for calculation of electrostatic interaction (Coulomb energy) between probe and molecule in vacuum (no dielectric) More...

`#include <MIFDescriptors.h>`

## Public Member Functions
| Coulomb ()=default
| ~Coulomb ()=default
| Coulomb (const std::vector< double > &charges, const std::vector< RDGeom::Point3D > &positions, double probeCharge=1.0, bool absVal=false, double alpha=0.0, double cutoff=1.0)
| constructs Coulomb object from vectors of charges and positions
| Coulomb (const RDKit::ROMol &mol, int confId=-1, double probeCharge=1.0, bool absVal=false, const std::string &prop="_GasteigerCharge", double alpha=0.0, double cutoff=1.0)
| constructs Coulomb object from a molecule object
double | operator() (double x, double y, double z, double thres) const
| calculated the electrostatic interaction at point `pt` in the molecules field in [kJ mol^-1]

## Detailed Description

class for calculation of electrostatic interaction (Coulomb energy) between probe and molecule in vacuum (no dielectric)

Definition at line 110 of file MIFDescriptors.h.

## Constructor & Destructor Documentation

## ◆ Coulomb() [1/3]

RDMIF::Coulomb::Coulomb | ( |  | ) |
| default

## ◆ ~Coulomb()

RDMIF::Coulomb::~Coulomb | ( |  | ) |
| default

## ◆ Coulomb() [2/3]

RDMIF::Coulomb::Coulomb | ( | const std::vector< double > & | charges,
|  | const std::vector< RDGeom::Point3D > & | positions,
|  | double | probeCharge = 1.0,
|  | bool | absVal = false,
|  | double | alpha = 0.0,
|  | double | cutoff = 1.0 )

constructs Coulomb object from vectors of charges and positions

Parameters

  charges | vector of charges [e]
  pos | vector of postions [A]
  probeCharge | charge of probe [e] (default: 1.0)
  absVal | if true, negative (favored) values of interactions are calculated (default: false)
  alpha | softcore interaction parameter [A^2]; if zero, a minimum cutoff distance is used (default: 0.0)
  cutoff | minimum cutoff distance [A] (default: 1.0)

## ◆ Coulomb() [3/3]

RDMIF::Coulomb::Coulomb | ( | const RDKit::ROMol & | mol,
|  | int | confId = -1,
|  | double | probeCharge = 1.0,
|  | bool | absVal = false,
|  | const std::string & | prop = "_GasteigerCharge",
|  | double | alpha = 0.0,
|  | double | cutoff = 1.0 )

constructs Coulomb object from a molecule object

The molecule `mol` needs to have partial charges set as property of atoms.

Parameters

  mol | molecule object
  confId | conformation id which is used to get positions of atoms (default=-1)
  absVal | if true, absolute values of interactions are calculated (default: false)
  probeCharge | charge of probe [e] (default: 1.0)
  prop | property key for retrieving partial charges of atoms (default: "_GasteigerCharge")
  alpha | softcore interaction parameter [A^2], if zero, a minimum cutoff distance is used (default: 0.0)
  cutoff | minimum cutoff distance [A] (default: 1.0)

## Member Function Documentation

## ◆ operator()()

double RDMIF::Coulomb::operator() | ( | double | x,
|  | double | y,
|  | double | z,
|  | double | thres ) const

calculated the electrostatic interaction at point `pt` in the molecules field in [kJ mol^-1]

Parameters

  x,y,z | coordinates at which the interaction is calculated
  thres | squared max distance until interactions are calc.

Returns
  electrostatic interaction energy in [kJ mol^-1]

The documentation for this class was generated from the following file:

- MIFDescriptors.h